Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vordel.mime
Class AttachmentHelper

    java.lang.Object
      com.vordel.mime.AttachmentHelper

    public class AttachmentHelper

extends java.lang.Object

Helper class for attachments.

Constructor Summary
`AttachmentHelper()`

Method Summary
`static void` | `addCertificateAttachment(Message m, com.vordel.security.sig.TemplateMessageDetails msg, Body certificateAttachment, java.lang.String certAttachmentId)` Add the signer's certificate to the request as an attachment.
`static Body` | `generateCertificateAttachment(java.security.cert.X509Certificate certificate)` Generate an attachment containing the signer's certificate.
`static java.util.ArrayList<java.lang.String>` | `getAttachmentTypes(Body soapPart, CompoundBody compound)` This method takes a CompoundBody and returns a list of attachment content types.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttachmentHelper

    public AttachmentHelper()

Method Detail

### getAttachmentTypes

    public static java.util.ArrayList<java.lang.String> getAttachmentTypes(Body soapPart,
                                                                           CompoundBody compound)
                                                                    throws java.io.IOException

  This method takes a CompoundBody and returns a list of attachment content types.

  Parameters:
    `soapPartId` - The id of the SOAP XML part. This is not considered to be an attachment.
    `compound` - The compound body.
  Returns:
    The list of attachment types.
  Throws:
    `java.io.IOException`

### addCertificateAttachment

    public static void addCertificateAttachment(Message m,
                                                com.vordel.security.sig.TemplateMessageDetails msg,
                                                Body certificateAttachment,
                                                java.lang.String certAttachmentId)
                                         throws java.io.IOException,
                                                com.vordel.common.VordelException

  Add the signer's certificate to the request as an attachment.

  Parameters:
    `m` - The message
    `msg` - The message details
  Throws:
    `java.io.IOException`
    `com.vordel.common.VordelException`

### generateCertificateAttachment

    public static Body generateCertificateAttachment(java.security.cert.X509Certificate certificate)
                                              throws java.security.cert.CertificateEncodingException,
                                                     java.io.IOException

  Generate an attachment containing the signer's certificate. Used when cert location configured to put cert in an attachment.

  Returns:
    The certificate attachment
  Throws:
    `java.security.cert.CertificateEncodingException`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation and all its contents and graphics, copyright © 1999 - 2011 Vordel